Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Interface ApplicationModuleHandle

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  ApplicationModuleRef, HttpSessionCookie, SessionCookie

All Known Implementing Classes:
  HttpSessionCookieImpl, SessionCookieImpl

public interface ApplicationModuleHandle
extends java.io.Serializable

A handle to an ApplicationModule instance.

Method Summary
`java.util.Hashtable` | `getClientEnvironment()` Returns a `java.util.Hashtable` representing the BC4J context that is related to this application session.
`java.lang.Object` | `getClientEnvironment(java.lang.Object key)` Returns the value of the specified attribute from the ApplicationModuleHandle client environment.
`java.util.Hashtable` | `getEnvironment()` Returns a `java.util.Hashtable` representing the BC4J context that is related to this application session.
`java.lang.Object` | `getEnvironment(java.lang.Object key)` Returns the value of the specified attribute from the ApplicationModuleHandle environment.
`java.util.Hashtable` | `getUserData()` Returns a `java.util.Hashtable` which may be used to store user specific context that is related to this application session.
`ApplicationModule` | `useApplicationModule()` Returns an application module instance.

Method Detail

### useApplicationModule

    public ApplicationModule useApplicationModule()

  Returns an application module instance.

### getUserData

    public java.util.Hashtable getUserData()

  Returns a `java.util.Hashtable` which may be used to store user specific context that is related to this application session.

### getEnvironment

    public java.util.Hashtable getEnvironment()

  Returns a `java.util.Hashtable` representing the BC4J context that is related to this application session. Application developers should not modify this environment directly.

### getEnvironment

    public java.lang.Object getEnvironment(java.lang.Object key)

  Returns the value of the specified attribute from the ApplicationModuleHandle environment.

### getClientEnvironment

    public java.util.Hashtable getClientEnvironment()

  Returns a `java.util.Hashtable` representing the BC4J context that is related to this application session. Application developers should not modify this environment directly. The client environment differs from the environment returned by `getEnvironment()` in that the client environment will not be marshalled to the middle tier.

### getClientEnvironment

    public java.lang.Object getClientEnvironment(java.lang.Object key)

  Returns the value of the specified attribute from the ApplicationModuleHandle client environment.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.